const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    // 跳转-支付
    jumpPay() {
        wx.navigateTo({
            url: "/pages/meeting/pay/waitPay/waitPay"
        })
    },

    // 跳转-预约详情
    jumpMeetingDetail() {
        wx.navigateTo({
            url: "/pages/meeting/reservationRecord/meetingRecord/meetingDetail/meetingDetail",
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
        let param = {
            title: "space 会议室101",
            path: "/pages/meeting/reservationRecord/meetingRecord/meetingDetail/meetingDetail",
            imageUrl: app.IMG_NAME + '/profile/static/index/banner/1.jpg',
        }
        console.log('onShareAppMessage' , param);
        return param;
    }
})